Page MenuHomePhabricator

Deploy Parsoid with scap3
Closed, ResolvedPublic

Event Timeline

greg created this task.Dec 2 2015, 4:08 PM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added projects: Scap, Deployments, Parsoid.
greg added subscribers: mobrovac, hashar, JanZerebecki and 5 others.

deployment-parsoid05 and deployment-cache-parsoid05 seem like likely deployment targets in beta. Looking at the repo_config salt pillar it seems like the transition from trebuchet to scap3 would be pretty straight-forward for beta: checkout submodules, service restart, service checks.

Although, I'm not completely sure these targets use trebuchet. Normally a target has the deploy_target grain set to the repo, would expect: deployment_target: parsoid/deploy to be set on either of those boxes, but I don't see it:

thcipriani@deployment-parsoid05:~$ sudo salt-call grains.get 'deployment_target'
local:

thcipriani@deployment-salt:~$ sudo salt -G 'deployment_target:parsoid/deploy' test.ping
thcipriani@deployment-salt:~$

Is trebuchet used in beta for parsoid?

AFAIK, @hashar has got a special jenkins update job for that.

greg added a comment.Dec 2 2015, 5:03 PM

And we do the same thing for cxserver

hashar added a comment.Dec 2 2015, 5:04 PM

Parsoid is the one of the two backend services magically updated via Jenkins (the other is cxserver).

The job is https://integration.wikimedia.org/ci/job/beta-parsoid-update-eqiad/ triggered on post merge of mediawiki/services/parsoid/deploy as well as from the source repo mediawiki/services/parsoid (for a setting file iirc).

The JJB definition is under https://github.com/wikimedia/integration-config/blob/master/jjb/beta.yaml The job runs on the instance hosting the service it:

  • clones the repos in a workspace
  • rsync them to /srv/deployment/parsoid
  • restart the service

The reason for deploy_target to be set is probably because we reuse the same puppet class as on production. So that would set the salt grains for integration-saltmaster.

We might had some repositories using Trebuchet. I remember Ryan made an attempt to switch mediawiki/core to use a couple years or so ago.

greg edited projects, added scap2; removed Deployments.Feb 9 2016, 11:33 PM
dduvall moved this task from Needs triage to Adoption on the Scap board.Feb 12 2016, 7:53 PM
mmodell moved this task from Adoption to Scap3-Adoption-Phase1 on the Scap board.Mar 4 2016, 7:01 PM
mmodell edited projects, added Scap (Scap3-Adoption-Phase1); removed Scap.

Note that this is a class of tasks mentioned by RelEng in the SoS today; it's (one of several tasks) blocking the scap3 migration.

Yes, we are first going to migrate to service-runner ( https://gerrit.wikimedia.org/r/#/c/289508/ ) and then rely on service-runner deployment to ease the migration to scap3.

hashar removed a subscriber: hashar.Jul 20 2016, 10:41 AM
mobrovac claimed this task.Aug 12 2016, 1:06 PM

Change 304468 had a related patch set uploaded (by Mobrovac):
Add the Scap3 configuration

https://gerrit.wikimedia.org/r/304468

Change 304470 had a related patch set uploaded (by Mobrovac):
Parsoid: Switch to Scap3 deployments

https://gerrit.wikimedia.org/r/304470

Change 304471 had a related patch set uploaded (by Mobrovac):
Admin: Add Parsoid deployers to the deploy-service group

https://gerrit.wikimedia.org/r/304471

Change 304468 merged by jenkins-bot:
Add the Scap3 configuration

https://gerrit.wikimedia.org/r/304468

Change 304471 merged by Alexandros Kosiaris:
Admin: Add Parsoid deployers to the deploy-service group

https://gerrit.wikimedia.org/r/304471

Change 307351 had a related patch set uploaded (by Mobrovac):
Depool and repool nodes and set the group size to 7

https://gerrit.wikimedia.org/r/307351

Change 307351 merged by jenkins-bot:
Depool and repool nodes and set the group size to 7

https://gerrit.wikimedia.org/r/307351

Change 304470 merged by Filippo Giunchedi:
Parsoid: Switch to Scap3 deployments

https://gerrit.wikimedia.org/r/304470

mobrovac closed this task as Resolved.Aug 31 2016, 3:14 PM

The move has been completed. As of now, deploying Parsoid involves using Scap3. Resolving.

greg awarded a token.Aug 31 2016, 4:36 PM